import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class DopexContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    dopexDpxSsov({ address, network }: ContractOpts): import("./ethers").DopexDpxSsov;
    dopexDualRewardStaking({ address, network }: ContractOpts): import("./ethers").DopexDualRewardStaking;
    dopexEthSsov({ address, network }: ContractOpts): import("./ethers").DopexEthSsov;
    dopexGOhmSsov({ address, network }: ContractOpts): import("./ethers").DopexGOhmSsov;
    dopexGmxSsov({ address, network }: ContractOpts): import("./ethers").DopexGmxSsov;
    dopexRdpxSsov({ address, network }: ContractOpts): import("./ethers").DopexRdpxSsov;
    dopexRewardDistribution({ address, network }: ContractOpts): import("./ethers").DopexRewardDistribution;
    dopexSingleRewardStaking({ address, network }: ContractOpts): import("./ethers").DopexSingleRewardStaking;
    dopexSsovV3({ address, network }: ContractOpts): import("./ethers").DopexSsovV3;
    dopexVotingEscrow({ address, network }: ContractOpts): import("./ethers").DopexVotingEscrow;
    dopexVotingEscrowRewards({ address, network }: ContractOpts): import("./ethers").DopexVotingEscrowRewards;
}
export type { DopexDpxSsov } from './ethers';
export type { DopexDualRewardStaking } from './ethers';
export type { DopexEthSsov } from './ethers';
export type { DopexGOhmSsov } from './ethers';
export type { DopexGmxSsov } from './ethers';
export type { DopexRdpxSsov } from './ethers';
export type { DopexRewardDistribution } from './ethers';
export type { DopexSingleRewardStaking } from './ethers';
export type { DopexSsovV3 } from './ethers';
export type { DopexVotingEscrow } from './ethers';
export type { DopexVotingEscrowRewards } from './ethers';
